| Home | Libraries | People | FAQ | More

##### segments_ref::clear

Clear the contents of the container.

###### Synopsis

    void
    clear();

###### Description

All iterators are invalidated.

###### Effects

    this->url().set_encoded_path( "" );

###### Postconditions

    this->empty() == true

###### Complexity

Linear in `this->url().encoded_query().size() + this->url().encoded_fragment().size()`.

###### Exception Safety

Throws nothing.